Bug 443249 - Review Request: rubygem-hoe - Hoe is a simple rake/rubygems helper for project Rakefiles
Review Request: rubygem-hoe - Hoe is a simple rake/rubygems helper for projec...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 15:11 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 17:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2008-04-19 15:11:45 EDT
Spec URL: http://mcpierce.dyndns.org/~mcpierce/rubygem-hoe.spec
SRPM URL: http://mcpierce.dyndns.org/~mcpierce/rubygem-hoe-1.5.1-1.fc8.src.rpm
Description: Hoe is a simple rake/rubygems helper for project Rakefiles
Comment 1 Tom "spot" Callaway 2008-04-29 16:56:48 EDT
Review done on -2.

Bad:
- license in SPEC does not match code

Code is under "MIT", spec says "GPLv2+ or Ruby".

Good:

- rpmlint checks return:
rubygem-hoe.src: W: mixed-use-of-spaces-and-tabs (spaces: line 37, tab: line 7)

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines (generic and ruby)
- spec file legible, in am. english
- source matches upstream (5f147e5b098f1615d387c8c4ebe68ee740d30a8e)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Show me a SRPM/SPEC with the license fixed and I'll approve.
Comment 2 Darryl L. Pierce 2008-04-29 17:08:37 EDT
Updated the spec to reflect the right license:

Spec: http://mcpierce.dynnd.sorg/~mcpierce/rubygem-hoe.spec
SRPM: http://mcpierce.dyndns.org/~mcpierce/rubygem-hoe-1.5.1-3.fc8.src.rpm
Comment 3 Tom "spot" Callaway 2008-04-29 17:18:44 EDT
APPROVED.
Comment 4 Darryl L. Pierce 2008-05-07 09:35:44 EDT
New Package CVS Request
=======================
Package Name: rubygem-hoe
Short Description: Hoe is a simple rake/rubygems helper for project Rakefiles
Owners: mcpierce
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2008-05-07 12:49:41 EDT
cvs done.
Comment 6 Darryl L. Pierce 2008-05-14 17:25:50 EDT
This now builds properly.
Comment 7 Troy Dawson 2014-12-22 11:08:58 EST
Package Change Request
======================
Package Name: rubygem-hoe
New Branches: epel7
Owners: tdawson
Comment 8 Jon Ciesla 2014-12-22 14:36:08 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.